> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluents.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update call feedback



## OpenAPI

````yaml /openapi.yml patch /v1/calls/{call_id}/feedbacks/{id}
openapi: 3.0.0
info:
  title: Fluents Hosted API
  description: |2-

            Fluents' Hosted API helps you automate phone calls in minutes. 🚀

            ## Numbers

            You can buy phone lines and place agents on them.

            ## Calls

            You can start, end, and get information about calls.
            
  version: 1.0.0
  contact:
    name: Support
    url: https://fluents.com
    email: support@fluents.ai
servers:
  - url: https://api.fluents.ai
    description: Production
security:
  - bearer: []
tags: []
paths:
  /v1/calls/{call_id}/feedbacks/{id}:
    patch:
      tags:
        - Execution Feedbacks
      operationId: CallFeedbackController_update
      parameters:
        - name: call_id
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateExecutionFeedbackDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecutionFeedbackDto'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestError'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
components:
  schemas:
    UpdateExecutionFeedbackDto:
      type: object
      properties:
        overall_rating:
          type: number
          minimum: 1
          maximum: 5
        comment:
          type: string
        notes:
          type: string
        tags:
          type: array
          items:
            type: string
    ExecutionFeedbackDto:
      type: object
      properties:
        id:
          type: string
        user_id:
          type: string
        call_id:
          type: string
        overall_rating:
          type: number
          minimum: 1
          maximum: 5
        comment:
          type: string
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagDto'
        notes:
          type: string
        created_at:
          format: date-time
          type: string
        updated_at:
          format: date-time
          type: string
      required:
        - id
        - user_id
        - call_id
        - overall_rating
        - comment
        - tags
        - created_at
        - updated_at
    BadRequestError:
      type: object
      properties:
        message:
          type: string
        error:
          type: string
        statusCode:
          type: number
          example: 400
      required:
        - message
        - error
        - statusCode
    NotFoundError:
      type: object
      properties:
        message:
          type: string
        error:
          type: string
        statusCode:
          type: number
          example: 404
      required:
        - message
        - error
        - statusCode
    TagDto:
      type: object
      properties:
        id:
          type: string
        user_id:
          type: string
        name:
          type: string
          pattern: /^[a-z0-9-]*$/
        type:
          enum:
            - account_connection
            - execution
            - execution_feedback
            - key
            - number
            - prompt
            - agent
            - action
            - voice
            - transcriber
          type: string
      required:
        - id
        - user_id
        - name
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````